RDMA_DISCONNECT(3)

NAME
rdma_disconnect - This function disconnects a connection.

SYNOPSIS
#include <rdma/rdma_cma.h>

int rdma_disconnect (struct rdma_cm_id *id);

ARGUMENTS

id  RDMA identifier.

DESCRIPTION
Disconnects a connection and transitions any associated QP to the error state, which will flush any posted work requests to the completion queue. This routine should be called by both the client and server side of a connection. After successfully disconnecting, an RDMA_CM_EVENT_DISCONNECTED event will be generated on both sides of the connection.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

SEE ALSO
rdma_connect(3), rdma_listen(3), rdma_accept(3), rdma_get_cm_event(3)